searchData={"content_type":"text/markdown","items":[{"doc":"Derives `Scenic.Primitives` from Scalable Vector Graphics (SVG).","ref":"Scenic.FromSVG.html","title":"Scenic.FromSVG","type":"module"},{"doc":"Converts the drawing primitive into a deferred graph.","ref":"Scenic.FromSVG.html#prim_spec/1","title":"Scenic.FromSVG.prim_spec/1","type":"function"},{"doc":"Converts the SVG into a deferred graph.","ref":"Scenic.FromSVG.html#svg_spec/1","title":"Scenic.FromSVG.svg_spec/1","type":"function"},{"doc":"Parses the SVG into a (complex) drawing primitive. As :group is a drawing primitive,\nthis returns a single primitive.","ref":"Scenic.FromSVG.html#svg_to_prim/1","title":"Scenic.FromSVG.svg_to_prim/1","type":"function"},{"doc":"iex> ~s(\n    ...>      \n    ...>        \n    ...>        \n    ...>           Hello \n    ...>        \n    ...>        \n    ...>        \n    ...>          \n    ...>          \n    ...>        \n    ...>      \n    ...> )\n    ...> |> Scenic.FromSVG.svg_to_prim()\n    {:group,\n     [\n       {:rect, {100.0, 100.0}, [fill: {255, 0, 0, 255}, t: {10.0, 10.0}]},\n       {:group,\n        [\n          {:text, \"Hello\",\n           [fill: {0, 0, 0, 255}, font_size: 64, text_align: :left, font: :roboto, t: {80, 80}]}\n        ], []},\n       {:circle, 20.0, [fill: {173, 28, 28, 181}, t: {180.0, 180.0}]},\n       {:group,\n        [\n          {:path,\n           [\n             :begin,\n             {:move_to, 458.94046, 243.85936},\n             {:line_to, 498.94046, 243.85936},\n             {:line_to, 518.94046, 278.49936},\n             {:line_to, 498.94046000000003, 313.13936},\n             {:line_to, 458.94046000000003, 313.13936},\n             {:line_to, 438.94046000000003, 278.49936},\n             :close_path\n           ], []},\n          {:path,\n           [\n             :begin,\n             {:move_to, 218.94046, 243.85936},\n             {:line_to, 258.94046000000003, 243.85936},\n             {:line_to, 278.94046000000003, 278.49936},\n             {:line_to, 258.94046000000003, 313.13936},\n             {:line_to, 218.94046000000003, 313.13936},\n             {:line_to, 198.94046000000003, 278.49936},\n             :close_path\n           ], []}\n        ], [{:fill, {255, 255, 255, 255}}, {:stroke, {2, {0, 0, 0}}}]}\n     ], []}","ref":"Scenic.FromSVG.html#svg_to_prim/1-examples","title":"Examples - Scenic.FromSVG.svg_to_prim/1","type":"function"},{"doc":"","ref":"Scenic.FromSVG.html#t:prim/0","title":"Scenic.FromSVG.prim/0","type":"type"},{"doc":"","ref":"Scenic.FromSVG.html#t:prim_opts/0","title":"Scenic.FromSVG.prim_opts/0","type":"type"},{"doc":"Implements parsing and conversion of SVG path \"d\" attribute.\n\nUpper case opcodes use absolute coordinates.\nLower case opcodes use relative coordinates.","ref":"Scenic.FromSVG.Path.html","title":"Scenic.FromSVG.Path","type":"module"},{"doc":"","ref":"Scenic.FromSVG.Path.html#reduce_tokens/1","title":"Scenic.FromSVG.Path.reduce_tokens/1","type":"function"},{"doc":"","ref":"Scenic.FromSVG.Path.html#tokenize/1","title":"Scenic.FromSVG.Path.tokenize/1","type":"function"}],"producer":{"name":"ex_doc","version":[48,46,51,49,46,50]}}